QT       += core gui printsupport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    animate.cpp \
    appwin-appearance.cpp \
    appwin-calculations.cpp \
    appwin-file.cpp \
    appwin-help.cpp \
    appwin-init.cpp \
    appwin-layers.cpp \
    appwin-menu.cpp \
    appwin-misc.cpp \
    appwin-plot.cpp \
    appwin-specials.cpp \
    appwin-transforms.cpp \
    appwin-view.cpp \
    appwin.cpp \
    atomstyle.cpp \
    bvect.cpp \
    calcs.cpp \
    cline.cpp \
    colormap.cpp \
    cutpoly.cpp \
    darray.cpp \
    ddplot.cpp \
    dpos_decimate.cpp \
    dpos_peierlsnabarro.cpp \
    dpospnresults.cpp \
    fformat.cpp \
    getatomchain.cpp \
    lagrpoly.cpp \
    lookandfeel.cpp \
    matinv.cpp \
    messages.cpp \
    misc.cpp \
    neighlist.cpp \
    pltwin-calc.cpp \
    pltwin-func.cpp \
    pltwin-geom.cpp \
    pltwin-load.cpp \
    pltwin-misc.cpp \
    pltwin-render.cpp \
    pltwin.cpp \
    probeatomdispl.cpp \
    qcustomplot.cpp \
    rdf.cpp \
    rdfplot.cpp \
    scalepos.cpp \
    selectplots.cpp \
    selectzlayers.cpp \
    test.cpp

HEADERS += \
    animate.h \
    appwin.h \
    atomstyle.h \
    bvect.h \
    calcs.h \
    cline.h \
    colormap.h \
    cutpoly.h \
    darray.h \
    ddplot.h \
    dpos_decimate.h \
    dpos_peierlsnabarro.h \
    dpospnresults.h \
    fformat.h \
    getatomchain.h \
    lagrpoly.h \
    lookandfeel.h \
    matinv.h \
    messages.h \
    misc.h \
    neighlist.h \
    pltwin.h \
    probeatomdispl.h \
    qarray.h \
    qcustomplot.h \
    rdf.h \
    rdfplot.h \
    readbl.h \
    scalepos.h \
    selectplots.h \
    selectzlayers.h \
    test.h \
    ui_appwin.h \
    ui_dabout.h \
    ui_danimate.h \
    ui_darrneighbors.h \
    ui_darrowstyle.h \
    ui_datomstyle.h \
    ui_dburgvect.h \
    ui_dcalcbvector.h \
    ui_dcomparedisp.h \
    ui_dcoordatoms.h \
    ui_dcoordsys.h \
    ui_ddefdislopos.h \
    ui_ddefinebcircuit.h \
    ui_ddposburgcircuitresults.h \
    ui_ddpospeierlsnabarroresults.h \
    ui_ddpospnresults.h \
    ui_dfinddposburgcircuit.h \
    ui_dfinddposdecimate.h \
    ui_dfinddpospeierlsnabarro.h \
    ui_dlookandfeel.h \
    ui_dnewcutoff.h \
    ui_dprobeatomdispl.h \
    ui_dprojvector.h \
    ui_drdfplot.h \
    ui_drelaxinfo.h \
    ui_dscalearrow.h \
    ui_dscalepos.h \
    ui_dselectplots.h \
    ui_dselectzlayers.h \
    ui_dsetupexportvtk.h \
    ui_dsetupprobeatomdispl.h \
    ui_dshowplanes.h \
    ui_dtransform.h \
    ui_dztolerance.h

FORMS += \
    appwin.ui \
    dabout.ui \
    danimate.ui \
    darrneighbors.ui \
    darrowstyle.ui \
    datomstyle.ui \
    dburgvect.ui \
    dcalcbvector.ui \
    dcomparedisp.ui \
    dcoordatoms.ui \
    dcoordsys.ui \
    ddefdislopos.ui \
    ddefinebcircuit.ui \
    ddposburgcircuitresults.ui \
    ddpospnresults.ui \
    dfinddposdecimate.ui \
    dfinddpospeierlsnabarro.ui \
    dlookandfeel.ui \
    dnewcutoff.ui \
    dprobeatomdispl.ui \
    dprojvector.ui \
    drdfplot.ui \
    drelaxinfo.ui \
    dscalearrow.ui \
    dscalepos.ui \
    dselectplots.ui \
    dselectzlayers.ui \
    dsetupexportvtk.ui \
    dsetupprobeatomdispl.ui \
    dshowplanes.ui \
    dtransform.ui \
    dztolerance.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

DISTFILES +=

RESOURCES += \
    ddplot.qrc
